## expeyes-doc 4.3

=== Makefile ===
DESTDIR =
LANG = en fr

all:
	for l in $(LANG); do \
	  make -C $$l/Docs all; \
	  make -C $$l/Docs-jr all; \
	  make -C $$l/Progman-jr all; \
	done

clean:
	for l in $(LANG); do \
	  make -C $$l/Docs clean; \
	  make -C $$l/Docs-jr clean; \
	  make -C $$l/Progman-jr clean; \
	done
	# remove generated eps files
	find . -name "*.eps" -exec rm {} \;

install:
	install -d $(DESTDIR)/usr/share/expeyes/doc
	for l in $(LANG); do \
	  for p in $$l/Docs/*.pdf $$l/Docs-jr/*.pdf $$l/Progman-jr/*.pdf; do \
	    install -m 644 $$p $(DESTDIR)/usr/share/expeyes/doc/$$l-$$(basename $$p); \
	  done; \
	done

.PHONY: all clean install

=== en/Docs-jr/Makefile ===
DESTDIR =
LANG    = en
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.pdf: %.lyx
	@echo -n "Language=$(LANG), exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.
	@echo -n "Running PDFLaTeX"
	@ok=0; lyxfile=$<; \
	logfile=$$(echo $${lyxfile} | sed 's/\.lyx/.log/'); \
	texfile=$$(echo $${lyxfile} | sed 's/\.lyx/.tex/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof $(TEXS)
	[ -f ../../../keep-expeyes-docs ] || rm -f $(PDFS)

=== fr/Docs-jr/Makefile ===
DESTDIR =
PODIR   = ../../../po
LANG    = fr
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.tex: %.lyx
	@echo -n "Language=$(LANG), exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.
	@echo "Localizing some words in the LaTeX file"
	@./localize-texfile $@ $(PODIR)/$(LANG).po > $@.tmp && mv $@.tmp $@

%.pdf: %.tex
	@echo -n "Running PDFLaTeX"
	@ok=0; \
	logfile=$$(echo $< | sed 's/\.tex/.log/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $< >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof $(TEXS)
	[ -f ../../../keep-expeyes-docs ] || rm -f $(PDFS) $(TEXS)

=== fr/Progman-jr/Makefile ===
DESTDIR =
PODIR   = ../../../po
LANG    = fr
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.tex: %.lyx
	@echo -n "Language=$(LANG), exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.

%.pdf: %.tex
	@echo -n "Running PDFLaTeX"
	@ok=0; \
	logfile=$$(echo $< | sed 's/\.tex/.log/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $< >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof *.out $(TEXS)
	[ -f ../../../keep-expeyes-docs ] || rm -f $(PDFS) $(TEXS)

=== debian/changelog ===
expeyes-doc (4.3-3) unstable; urgency=medium

  * removed dependencies on Python. Closes: #945639
  * added Recommends: python3-expeyes
  * added references to Vcs

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Nov 2019 11:27:52 +0100

expeyes-doc (4.3-2) unstable; urgency=medium

  * replaced the dependency on texlive-generic-recommended by
    texlive-plain-generic. Closes: #941519
  * upgraded dh level and Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2019 17:24:13 +0200

expeyes-doc (4.3-1) unstable; urgency=medium

  * taken in account Thorsten Alteholz' review, posted the 16 Nov 2017;
    added Copyright entries for every *.lyx file; licenses are GFDL, as
    stated by a paragraph in every such document, authors are Ajith Kumar
    for the English version, and I added myself as a translator for French
    documents. Closes: #877315

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Nov 2017 14:35:03 +0100

=== debian/control ===
Source: expeyes-doc
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11), lyx,
 texlive-latex-base, texlive-latex-extra, texlive-plain-generic,
 lmodern, imagemagick, librsvg2-bin
Standards-Version: 4.4.1
Homepage: http://expeyes.in
Vcs-Browser: https://salsa.debian.org/georgesk/expeyes-doc
Vcs-Git: https://salsa.debian.org/georgesk/expeyes-doc.git

Package: expeyes-doc-common
Section: doc
Conflicts: expeyes-doc-common (<<4.3)
Replaces: expeyes-doc-common (<<4.3)
Architecture: all
Depends: ${misc:Depends}, evince, python3
Description: Common files related to the User manual for expeyes library
 This package provides icons and desktop entries to launch a viewer with
 the documentation for expEYES.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-doc-en
Section: doc
Conflicts: expeyes-doc-en (<<4.3)
Replaces: expeyes-doc-en (<<4.3)
Recommends: python3-expeyes
Architecture: all
Depends: ${misc:Depends}, expeyes-doc-common
Provides: expeyes-doc
Description: User manual for expeyes library, in English language
 This package provides a full English documentation to use the library
 python3-expeyes, which enables to program new experiments using an
 ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.


Package: expeyes-doc-fr
Section: doc
Conflicts: expeyes-doc-fr (<<4.3)
Replaces: expeyes-doc-fr (<<4.3)
Recommends: python3-expeyes
Architecture: all
Depends: ${misc:Depends}, expeyes-doc-common
Provides: expeyes-doc
Description: User manual for expeyes library, French translation
 This package provides a full French documentation to use the library
 python3-expeyes, which enables to program new experiments using an
 ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.lst" | xargs rm -f
	find . -name "*.out" | xargs rm -f
	find . -name ".lyx_configure_lock" | xargs rm -f
	find . -name "lyxrc.defaults" | xargs rm -f
